/*
 * Copyright 2010-2013 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

#import "EC2DescribeSpotDatafeedSubscriptionRequestMarshaller.h"

@implementation EC2DescribeSpotDatafeedSubscriptionRequestMarshaller

+(AmazonServiceRequest *)createRequest:(EC2DescribeSpotDatafeedSubscriptionRequest *)describeSpotDatafeedSubscriptionRequest
{
    AmazonServiceRequest *request = [[EC2Request alloc] init];

    [request setParameterValue:@"DescribeSpotDatafeedSubscription"           forKey:@"Action"];
    [request setParameterValue:@"2013-10-01"   forKey:@"Version"];

    [request setDelegate:[describeSpotDatafeedSubscriptionRequest delegate]];
    [request setCredentials:[describeSpotDatafeedSubscriptionRequest credentials]];
    [request setEndpoint:[describeSpotDatafeedSubscriptionRequest requestEndpoint]];
    [request setRequestTag:[describeSpotDatafeedSubscriptionRequest requestTag]];

    if (describeSpotDatafeedSubscriptionRequest != nil) {
        if (describeSpotDatafeedSubscriptionRequest.dryRunIsSet) {
            [request setParameterValue:(describeSpotDatafeedSubscriptionRequest.dryRun ? @"true":@"false") forKey:[NSString stringWithFormat:@"%@", @"DryRun"]];
        }
    }


    return [request autorelease];
}

@end

